---
app: "record"
version: "0.1.0"

broker:
  endpoint: "tcp://localhost:7200"

unit:
  endpoint: "tcp://*:7204"
  heartbeat-liveness: 3
  heartbeat-interval: 2500000

log:
  debug: false
  level: "info"

buses:
  - event:
      frontend: "@tcp://127.0.0.1:11004"
      backend: ">tcp://localhost:11005"
      capture: "inproc://record.event.pipe"
  - metric:
      frontend: "@tcp://127.0.0.1:13104"
      backend: "@tcp://127.0.0.1:14000"
      capture: "inproc://record.metric.pipe"

modules:
  - record-tsdb:
      endpoint: "tcp://localhost:7204"
      description: "TimescaleDB data recorder module"
